package com.scrdev.pg.kokotimeapp.channels.addons;

import java.util.ArrayList;

import com.scrdev.pg.kokotimeapp.channels.Channel;
import com.scrdev.pg.kokotimeapp.player.VideoSource;

public interface ChannelAddonInterface {

	
	/**
	 * will be called by the home page to generate the tabs for the different channel categories
	 * 
	 * @return array of strings that will be passed on oe by one to the @see {@link #getPopular(String)} method
	 */
	String[] getCategoryArray() throws Exception;
	
	ArrayList<Channel> getChannelsForCategory(String category) throws Exception;
	
	Channel fillChannelItemData(Channel channelItem) throws Exception;
	
	
	ArrayList<Channel> getFeaturedChannels() throws Exception;
	
	
	ArrayList<VideoSource> getChannelVideoSources(Channel channelItem) throws Exception;
	
	ArrayList<Channel> getNewlyAddedChannels() throws Exception;
	
	ArrayList<Channel> search(String query) throws Exception;
}
