package com.scrdev.pg.kokotimeapp.player;

import java.io.Serializable;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/**
 * 
 * @author Scrdev part of Kokotime copyright 2017
 *
 */
public class VideoSource implements Serializable {
	private static final long serialVersionUID = 1L;
	
	public static final int QUALITY_LOW = 0;
	public static final int QUALITY_HIGH = 1;
	public static final int QUALITY_HIGHER1 = 2;
	public static final int QUALITY_HIGHER3 = 3;
	public static final String NO_RESOLUTION_IN_NAME = "NO_RES";
	
	int quality;
	String url;
	String name;
	String resolution = null;

	
	/**
	 * 
	 * @param name = name of the source example : hosting website, service name, or empty string 
	 * @param url = url of the mp4 video including protocol http:// or https:// , make sure 
	 * CORS is enabled on your website for chromecast compatibility
	 * @param quality = quality index varying from 0=low to 3 = superhigh
	 */
	public VideoSource(String name, String url, int quality) {
		this.url = url;
		
		if (quality>1){
			quality = 2;
		}
		this.quality = quality;
		
		switch (quality) {
			case QUALITY_LOW:
				name = name+" SD";
				break;
				
			case QUALITY_HIGH:
				name = name+" HD";
				break;
			case QUALITY_HIGHER1:
				name = name+" Full HD";
				break;

		}
		
		this.name = name;
		
		
		
	}
	
	
	public String getName() {
		return name;
	}
	
	public int getQuality() {
		return quality;
	}
	
	public String getUrl() {
		return url;
	}
	
	

	public String getResolution(){
		if (resolution == null){
			Pattern pattern4 = Pattern.compile(".*(\\d{4}p).*");
			Pattern pattern3 = Pattern.compile(".*(\\d{3}p).*");
			Matcher matcher4 = pattern4.matcher(name);
			Matcher matcher3 = pattern3.matcher(name);
			if (matcher4.matches()){
				resolution = matcher4.group(1);
				
				if (resolution!=null){
					name = name.replaceAll(" \\d{1,4}p|\\d{1,4}p ", "");
					return resolution;
				}
				
			}
			if (matcher3.matches()){
				resolution = matcher3.group(1);
				if (resolution!=null){
					name = name.replaceAll(" \\d{1,4}p|\\d{1,4}p ", "");
					return resolution;
				}
			}
			this.resolution = NO_RESOLUTION_IN_NAME;
		}
		
		
		return resolution;
	}

	

}
