package com.scrdev.pg.kokotimeapp.videos;

import java.io.Serializable;

public class Comment implements Serializable, Cloneable {
    static final long serialVersionUID = 1L;
    
    private String author;
    private String authorId;
    private String authorProfileImage;
    private String commentText;
    private String date;
    private String likes;
    private String dislikes;
    
    
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getAuthorProfileImage() {
		return authorProfileImage;
	}
	public void setAuthorProfileImage(String authorProfileImage) {
		this.authorProfileImage = authorProfileImage;
	}
	public String getCommentText() {
		return commentText;
	}
	public void setCommentText(String text) {
		this.commentText = text;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getLikes() {
		return likes;
	}
	public void setLikes(String likes) {
		this.likes = likes;
	}
	public String getDislikes() {
		return dislikes;
	}
	public void setDislikes(String dislikes) {
		this.dislikes = dislikes;
	}
	
	public void setAuthorId(String authorId) {
		this.authorId = authorId;
	}
	
	public String getAuthorId() {
		return authorId;
	}
	
	public static class Builder {
		Comment comment;
		
		public Builder(){
			this.comment = new Comment();
		}
		
		public Builder setAuthor(String author) {
			comment.author = author;
			return this;
		}
		

		public Builder setAuthorProfileImage(String authorProfileImage) {
			comment.authorProfileImage = authorProfileImage;
			return this;
		}

		public Builder setComment(String commentText) {
			comment.commentText = commentText;
			return this;
		}

		public Builder setDate(String date) {
			comment.date = date;
			return this;
		}

		public Builder setLikes(String likes) {
			comment.likes = likes;
			return this;
		}

		public Builder setDislikes(String dislikes) {
			comment.dislikes = dislikes;
			return this;
		}
		
		public Builder setAuthorId(String authorId){
			comment.authorId = authorId;
			return this;
		}
		
		public Comment build(){
			return comment;
		}
	}
    
    
}
