package com.scrdev.pg.kokotimeapp.videos;

import java.io.Serializable;

public class Video implements Serializable, Cloneable {
    static final long serialVersionUID = 1L;
 
    private String id;
    private String name;
    private String author;
    private String authorId;
    private String authorProfileImage;
    private String videoThumbImage;
    private String commentCount;
    private String likes;
    private String dislikes;
    private String date;
    private String description;
    private String sourceWebsite;
    private String views;
    private String duration;
    
    
    public String getId() {
		return id;
	}
    
    public void setId(String id) {
		this.id = id;
	}
	
    public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getAuthorProfileImage() {
		return authorProfileImage;
	}
	public void setAuthorProfileImage(String authorProfileImage) {
		this.authorProfileImage = authorProfileImage;
	}
	public String getVideoThumbImage() {
		return videoThumbImage;
	}
	public void setVideoThumbImage(String videoThumbImage) {
		this.videoThumbImage = videoThumbImage;
	}

	public String getCommentCount() {
		return commentCount;
	}
	public void setCommentCount(String commentCount) {
		this.commentCount = commentCount;
	}

	public String getLikes() {
		return likes;
	}
	public void setLikes(String likes) {
		this.likes = likes;
	}

	public String getDislikes() {
		return dislikes;
	}
	public void setDislikes(String dislikes) {
		this.dislikes = dislikes;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getSourceWebsite() {
		return sourceWebsite;
	}
	public void setSourceWebsite(String sourceWebsite) {
		this.sourceWebsite = sourceWebsite;
	}
    
	public String getViews() {
		return views;
	}
	
	public void setViews(String views) {
		this.views = views;
	}
	
	public String getDuration() {
		return duration;
	}
	
	public void setDuration(String duration) {
		this.duration = duration;
	}
	
	public String getAuthorId() {
		return authorId;
	}
	
	public void setAuthorId(String authorId) {
		this.authorId = authorId;
	}
	
	public static class Builder {
		private Video video;
		
		public Builder(){
			this.video = new Video();
		}
		
	    
	    public Builder setId(String id) {
	    	video.id = id;
	    	return this;
		}
		
		public Builder setName(String name) {
			video.name = name;
			return this;
		}
		
		

		public Builder setAuthor(String author) {
			video.author = author;
			return this;
		}

		public Builder setAuthorProfileImage(String authorProfileImage) {
			video.authorProfileImage = authorProfileImage;
			return this;
		}

		public Builder setVideoThumbImage(String videoThumbImage) {
			video.videoThumbImage = videoThumbImage;
			return this;
		}


		public Builder setCommentCount(String commentCount) {
			video.commentCount = commentCount;
			return this;
		}


		public Builder setLikes(String likes) {
			video.likes = likes;
			return this;
		}


		public Builder setDislikes(String dislikes) {
			video.dislikes = dislikes;
			return this;
		}

		public Builder setDate(String date) {
			video.date = date;
			return this;
		}

		public Builder setDescription(String description) {
			video.description = description;
			return this;
		}

		public Builder setSourceWebsite(String sourceWebsite) {
			video.sourceWebsite = sourceWebsite;
			return this;
		}
	    

		
		public Builder setViews(String views) {
			video.views = views;
			return this;
		}
		

		
		public Builder setDuration(String duration) {
			video.duration = duration;
			return this;
		}
		
		public Builder setAuthorId(String authorId){
			video.authorId = authorId;
			return this;
		}
		
		public Video build(){
			return video;
		}
		
	}
    
    
    
    
    
    
}
